FRAME LAYOUT

Frames and your EROL store
An EROL store typically consists of 4 separate frames: The Toolbar Frame along the top, the Menu Frame down the side, the Basket Frame along the bottom and the Main Frame which is the main body of your store. EROL, however, is able to operate with only the main frame visible if you wish to steer away from a frames driven site.


The Basket Tab

Using the Basket Tab

The Basket tab
The Basket tab provides control over the Basket Frame. The Basket Frame is the frame that runs along the bottom of your EROL store and provides a visual display area for all items placed in it by the user. It does this by condensing the product image of a product to a tiny thumbnail replica. Alternatively, if there is no product image, EROL inserts the Item Name or, if you have created one, a custom image into the basket.

It is not necessary to have a basket in your EROL store.

Setting the height of the Basket Frame
The size of the Basket Frame can be set in pixels. This will determine how high the Frame will be.

Allowing and disallowing frame scrolling
Below the Basket 'Height' field you have the option of turning on or off scrolling. By default scrolling is turned off.

Checking 'Allow Frame Scrolling' will ensure that when a user has added more products to the basket than can be displayed across the screen, a scrollbar will appear allowing users to see their basket items that may not be visible.

Auto Jump to Order Form
Checking 'Auto jump to Order Form' will ensure that when a shopper clicks to add a product to the basket, they will be automatically directed to the Order Form where the details of their purchase will be displayed.

If you set your Basket height to '0' (thereby getting rid of it altogether), 'Auto jump to Order Form' will automatically become active. This is to provide an essential clue to a shopper that the product has indeed been 'added to the basket' even though there is no basket to display their chosen product(s).

Setting a background image or colour for your basket
The Basket Frame can contain either a background image or a background colour. This ensures that the Basket Frame can maintain the same style and colouring as the rest of your store.

To set the background colour, simply select your preferred colour from the colour pulldown menu or the colour picker box. To add a background image to your Basket Frame, simply browse for and select your pre-designed background image.

Using Basket Cells
A Basket Cell is an optional coloured background cell for any product image visible in the Basket. Basket Cells are useful if your product images are largely the same colour as the background of your Basket Frame.

The Basket Cell(s) will not be visible until a product has been added to the Basket.

To enable Basket Cells, check 'Enable Basket Cells' and select a colour and set an optional border width in pixels. There is no Basket Cell border by default.

Using text or images in place of a thumbnail product image in the basket
If you do not have a product image for a particular item, EROL still needs to insert something into the Basket Frame. This can either be text (the Item Name will be used) or a custom image.

If you opt to use text, toggle to 'Text' under 'Text/image in basket when product image is not available' and set the size, face and colour of the text you wish to apply.

If you opt to use an image instead of text, toggle to 'Image' under 'Text/image in basket when product image is not available' and browse for you're the image you wish to use.

Note 1: You cannot use more than one custom image.

Creating the image to be used in place of a thumbnail product image in the basket
EROL uses a complex formula to create the tiny thumbnails from your product images, and it will do the same with your custom image.

Create your custom image in your favourite graphics programme and build it to the rough dimensions of the height you set for your Basket Frame. Unavoidably, some resizing may occur as a result of EROL's thumbnail creation formula, however this will be slight.

No Basket
You can select not to have a Basket Frame at all by setting the Basket height to '0'.

If you set your Basket height to '0', 'Auto jump to Order Form' will automatically become active. This is to provide an essential clue to a shopper that the product has indeed been 'added to the basket' even though there is no basket to display their chosen product(s).

The shopper can easily return back to the store by clicking on the 'Continue Shopping' button on the Order Form.


The Main Tab

Using the Menu Tab

The Menu tab
The Menu tab provides control over various areas of the Menu Frame. The Menu Frame is used to assist shoppers in navigating around your store.

Although it is not strictly necessary to include a menu frame, especially in smaller stores, it becomes almost a necessity in larger stores.

Remember that the Menu Frame is just a placeholder for menus that you create. There is no limit to the number of menu's in any one store. In fact every single individual page in your store can have a menu assigned to it. These menus will sit in the Menu Frame.

The Menu Frame can placed can be positioned in one of six preset positions, and the Menu tab allows you to select which one you want for your store.

Setting the size of the menu frame
The size of the Menu Frame can be set in pixels. This will determine how wide (or how high, if your menu is along a horizontal axis) your Menu Frame will be.

You will need to consider the width of the Menu Frame when you are creating the pages that will be inserted in your Menu Frame as menus as once the page is assigned to the Toolbar Frame, the visible area of that page is limited to the size you have set for the Menu Frame.

Allowing and disallowing frame scrolling
Below the menu 'Size' field you have the option of turning on or off scrolling. By default scrolling is turned off.

Checking 'Allow Frame Scrolling' will ensure that when your menu page exceeds the set height or width of your Menu Frame, a scrollbar will appear allowing users to see parts of the menu that may be not be visible.

Positioning your menu
The Menu Frame can placed can be placed in one of six preset positions, and 'Menu Frame Positioning' on the Menu tab allows you to select which one you want for your store.

You have the option of positioning your menu:
On the left of your store, extending to the bottom of the page
On the left of your store, extending only to the top of the basket frame
On the right of your store, extending to the bottom of the page
On the right of your store, extending only to the top of the basket frame
Running horizontally along the top of your store beneath the Toolbar Frame
Running horizontally along the bottom of your store above the Basket Frame

Remember that these positions are global - once the Menu Frame position is set, it will remain in this position throughout the entire store.

The position of the Menu Frame can be altered at any time.

No menu
Should you wish not to include a menu at all, simply set the Menu Frame 'Size' to '0'.

Building a menu page and assigning it to other pages
Creating a menu page in EROL that can sit in the Menu Frame is a matter of creating new page, adding the relevant links to it, then assigning that menu to a particular page (or some, or all, of the pages in the store).

Two steps to Getting a Menu in your Store

  1. Build your desired menu page in the same way you would create any normal page in EROL, ensuring that the items you add as links are Link Items rather than Display Items or Product Items.

    Remember that although when building the page you will be able to build to any width or depth of the page, once that page is assigned to the Menu Frame, the visible area of the page is limited to the size you have set for the Menu Frame.

  2. Once built, go to the Page tab of the page you want the menu to apply to, and select it from the 'Assign a Menu Page' pulldown menu.

Your menu page will now apply to that particular page only. To apply the same menu to another page you will need to repeat step 2.

Note 1:
When you build a Menu Page in EROL, EROL will not know it is a Menu until it has been assigned to a relevant page. As such when you build the page you will preview it in the Main Frame area of your store and not in the Menu Frame. Once it is assigned to a page though, EROL realises it is a menu and will preview it in the Menu Frame from that point onwards.

Note 2:
Once you have assigned a menu to a particular page, the icon for that menu will change in the tree view from a standard Page icon to a Menu icon, making it easier to distinguish store pages from your menu pages.


The Toolbar Tab

Using the Toolbar Tab

The Toolbar tab
The Toolbar tab provides control over various areas of the Toolbar Frame. The Toolbar Frame is the frame which runs along the top of your store and typically contains various user-functions that are essential for any online store. These functions may include a button to view the contents of your basket or a button that takes the shopper to the order form.

Setting the height of the Toolbar Frame
The height of the toolbar frame can easily be controlled from the Toolbar tab. Simply insert the height into the 'Height' field. It is measured in pixels.

Using the default toolbar
EROL defaults to a pre-created toolbar containing the three essential elements for smooth store usability:
A Back button which takes the user back one page,
A View Basket button that allows the user to view the items in their basket should they not be visible anyway, and
An 'Order' button that allows the user to end their shopping and proceed to the checkout (or indeed to check their order total during the shopping process).

This default Toolbar can however be somewhat customised and you have the option of applying a background colour to it or alternatively a background image by using the fields adjacent to the 'Default Toolbar' radio button.

If you wish to use custom Toolbar, the default Toolbar becomes inactive.

Using your own custom toolbar
You can create your own custom designed toolbar page in EROL that can be inserted into the Toolbar Frame of your store.

Once you have created the page, simply select it from the 'User Defined Toolbar' pulldown menu and that page will get inserted into the Toolbar Frame and remain present throughout your store.

Creating your own custom toolbar
Creating a custom toolbar is simply a matter of creating a new page in EROL that can then be applied to the Toolbar Frame. Once a page for your Toolbar has been assigned it will remain present throughout your store.

You can design your Toolbar Page any way you like, however you must remember the following:

  1. Although when building the page you will be able to build to any depth of the page, once the page is assigned to the Toolbar Frame, the visible area of that page is limited to the height you have set for the Toolbar Frame.
  2. Your Toolbar page should contain at least a 'Go to Order Form' button. This is the only way users will be able to access the order form once they have finished their shopping. You may also want to include a 'Back' button and a 'View Basket' button.

    These buttons can be easily created in your favourite graphics package and then inserted onto your page using the 'insert image' button on the EROL HTML Editor. When you insert an image you will be given the option of making the image one of the toolbar buttons. Once you have checked the relevant choice, EROL will automatically insert the correct code making your button active.

    It is NOT possible to insert your own code to control the 'Back', 'Order' and 'View Basket' buttons.

Note: When you build a Toolbar page in EROL, EROL will not know it is a Toolbar page until it has been assigned in the Toolbar tab. As such when you build the page you will preview it in the Main Frame area of your store and not in the Toolbar Frame. Once it is assigned to the Toolbar Frame though, EROL realises it is a Toolbar page and will preview it in the Toolbar Frame from that point onwards.

No toolbar
Should you wish not to have a Toolbar at all simply set the height of the Toolbar to '0'. This will effectively remove the Toolbar from your store altogether.

Remember that if you remove the toolbar from your store, every page in your store should provide at very least a 'Go to Order Form' button. This is the only way users will be able to access the order form once they have finished their shopping. You may also want to include a 'Back' button and a 'View Basket' button.

These buttons can be easily created in your favourite graphics package and then inserted onto your page using the 'insert image' button on the EROL HTML Editor. When you insert an image you will be given the option of making the image one of the toolbar buttons. Once you have checked the relevant choice, EROL will automatically insert the correct code making your button active.

It is NOT possible to insert your own code to control the 'Back', 'Order' and 'View Basket' buttons.


Frame Layout Tabs

Using the Frame Layout Tabs

The Main tab
The Main tab provides the ability to adjust certain settings relating the Main Frame in your store. The Main Frame provides a placeholder for each and every page of your store and is where all the products and items on each page of your store will appear.

It is possible to set the size of all the other frames at '0', thus making the Main frame an independent frame-free page.

Setting the width of the main frame
The Main Frame is set at a default 100% wide. This means that no matter how wide or how narrow a user's browser is set, the page will always extend fill the entire screen width. You can however set the Main Frame to a fixed width measured in pixels. This is useful if your design requires the page not be expandable or contractable. To set the width of the Main Frame in pixels, check 'Apply Fixed Width' and insert the desired number of pixels.

Setting the height of the main frame
The height of the Main Frame cannot be set. It is determined by the number of items on any page in the store. The Main Frame will always shrink or expand to the maximum depth of any individual page in the store.

Creating a fixed width for your entire store
Many web designers prefer to design their stores to always appear at a fixed width no matter how much the browser window is expanded or contracted. It allows a designer to know exactly how the store will look no matter what a user's screen dimensions or browser widths are.

To set the width of the page in pixels, check 'Apply Fixed Width' and insert the desired number of pixels.

If you are including a menu down the right or left of the store you will need to take the width of this frame into account when determining the total width of your store.

For example, if you want your store to be 600 pixels wide and you have set the Menu Frame at 200 pixels wide, you will need to set the Main Frame width to 400 pixels.

Setting the font styles for all pages appearing in the main frame
You can set a global font style which will apply to all the pages in your store by selecting the font size, face and colour from the relevant pulldown menus.

This font can however be overwritten by any individual item on a page.


ORDER FORM

The EROL order form
The EROL order form is a critical component of your online store. The order form is where all calculations regarding the cost of any item purchased, relevant taxes, shipping destinations and customer details are carried out and/or finalised

Accessing the order form
The order form becomes activated by a visitor to the store when:

  • They click on the default 'Order' button in the store
  • They click on an item to buy it (this is an optional setting and can be controlled in Store Options tab by checking on the 'Auto Jump to Order' option)

Allowing users to jump straight to the order form
Checking on the 'Auto Jump to Order' option in the Store Settings Tab causes EROL to jump directly to the Order form on a customer adding an item to the basket. This is useful if you decide to hide the basket frame where the item image normally appears.

Customising the setup of the Order Form
The EROL order form, and all the layout, shipping and tax options relevant to it are controlled by clicking on Order Form under Store Settings in the tree view. The options available to you allow for the setup, customisation and control of:

  • Currency
  • Shipment
  • Tax
  • Payment


Laying Out the Order Form

Controlling the layout of the order form
The entire EROL order form can be customised to suit the look and feel of your store as well as meet most requirements such as extra form fields to gather additional data from your customers over and above their standard details. All of the options available are accessible via the tabs that become active when Order Form is clicked on in the tree view.

The way your order form looks is very important since it is at this point where a customer may begin to have their doubts about whether to trust the security of your store or not. A good-looking order form encourages trust in the user.

Limitations on order form layout
Although EROL allows for an almost 100% customisable look and feel for your order form, you are constrained by the basic layout of the order form.

However, all text, colours, graphics, notes and extra fields can be controlled by you.

Using The Order Form Tabs

The Colours tab
The colours tab allows you to control the colours of the bands which together make up the invoice style of the order form. The font size and style of all text in the order form is also controlled and set here.

Changing the font style and size of all text in the order form
The size and style of all text on the order form can be controlled using the 'Order Form Font Size and Style' pulldown menus.

The colour of the text on the page defaults to black unless altered, for the various areas of the form, using the Cell Colour and Font Colour options below.

Note: These settings can be overwritten for your Order Notes only as these notes are editable use the EROL HTML editor on the Order Notes tab.

Setting the colours for the various parts of the order form
The order form is made up of a number of default cells or bands. These bands are included by default to ensure that any EROL Order form maintains a logical and workable layout. The colours of these bands and the labels inside them can however be altered. This is achieved using the Cell Colour and Font Colour pulldown options.

Page: Refers to the background colour of the Order form. You have the option too to alter the colour of the page font (ie the order form text sitting outside of any default cells or bands).

Cell1: Refers to the colour of the cell(s) or band(s) that run along the top of the invoice. You can also set the colour of the label text inside these cells or bands.

Cell2: Refers to the colour of the cell(s) or band(s) that make up the majority of the cells in the calculation column of the invoice. You can also set the colour of the label text inside these cells or bands. Cell2 also makes up the divider between customers' details and your order notes.

Cell3: Refers to the colour of the cell(s) or band(s) that run along the bottom of the invoice. You can also set the colour of the label text inside these cells or bands.

The Form Fields tab
The EROL order form is not only where the customer's order is tallied up, but also where the customer inserts their details. These details are all inserted into Form Fields.

By default, EROL automatically inserts a number of fields relevant to any online order, however you have the option to exclude any of these, insert your own custom form fields or even to make certain fields compulsory to fill in.

Inserting custom fields onto the order form
Depending on what you sell in your EROL store, your customers may be required to furnish you with further information about the product they choose. Alternatively you may wish to ask customers to let you know where they heard about your store. Both of these, and others, are possible by inserting your own custom form fields over and above the standard fields.

Inserting custom fields is done using the 'Create your own custom fields' options on the Form Fields tab.

You may add a maximum of three custom form fields.

By default the custom fields are not included in the order form. To include one, or all, of the custom fields select 'Include' from the 'Field' pulldown menu. You may wish to make your custom field compulsory for the user to fill in. Select 'Required' from the 'Field' pulldown menu to ensure that the new field must be completed.

You may label your new custom fields with any label you see fit. Type in your desired label, or field description, in the field(s) under 'Field Description'.

Selecting fields to be present in the order form
By default, EROL automatically inserts the fields relevant to any online order. These will include shipping address and credit card details etc should they be relevant to the payment procedures you have chosen for your store. There are however certain fields which you may or may not wish to include. The fields in question include:

  • E-mail Address
  • Phone Number
  • Fax Number
  • Additional Info
  • Part Shipment

EROL allows you the option to include or exclude some (or all) of these or to make certain of these fields compulsory to fill in.

The difference between Required | Included | Not Included
The 'Field' pulldown menus on the Form Fields tab allow you to decide the state of certain fields on the order form.

  • The three states are: Required - The field is present in the order form and the customer must complete the field or the order will not be sent.
  • Included - The field is present in the order form.
  • Not Included - The field is not present in the order form.

Laying out and ordering the fields on the page
Option not yet available.

Using The Order Notes tab
 Many people using your store may be new to e-commerce and something as simple as filling in the order form may be a difficult task for anyone unfamiliar with the procedure. Additionally you may wish to allay customers' fears about the security of online ordering through your store by explaining how your order security works. All of these details can be included in the order notes. The order notes will appear adjacent to the customer details fields.

Editing and laying out the order notes The order notes you include on your order form can be input, laid out and edited from the Order Notes tab.

Clicking on the '+' button adjacent to the scrollbar of the order notes field will launch the EROL HTML editor. Here you can edit or manipulate your order notes to your exact look and feel requirements.

What should be included in the order notes
A good set of order notes should include some or all of the following:

  • Placing an Order
  • Shipping And Handling
  • International Ordering
  • Delivery Schedule
  • Tax Charges
  • Credit Card Security
  • Guarantee
  • Returns and Exchanges
  • Contact Info
  • Customer Service
  • Privacy Policy

The Header | Footer tab
Although the basic layout of the cells or bands on the order form is fixed, you are not limited to the overall page properties and any free-form HTML or design elements above or below the actual pre-set order form.

The Header | Footer tab allows for any amount of your own free-form HTML, as well as any scripts (JavaScript, CSS etc) you may wish to apply to your order form.

Adding your own scripts to the Order Form
Your own scripts (JavaScript, CSS etc.) can be added to the order form should you require it. Any scripts can be placed in the 'Add scripts to your page' Field on the Header | Footer tab.

Adding pre- and post- HTML formatting to the Order Form
Free-form HTML or design elements above or below the actual pre-set order form by simply creating your own HTML in the 'Pre-formatting' and 'Post-formatting' fields on the Header | Footer tab.

You can cut and paste your own HTML into these fields or create it using the EROL HTML editor which is launched by clicking on the '+' button on the right of each field.


Working with and Setting Currencies

Note about currency and e-commerce
Whether you are planning to sell your products internationally or just to customers in your country, you are still going to have to think about your currency settings.

Selling just to customers in your own country simplifies the process significantly and all you will be required to do in EROL is set your base currency.

Selling internationally requires the need to set either real time currency conversion so that customers abroad can purchase your goods in their own currency based on that days' currency exchange rate, or with a set currency rate for their country.

In both instances EROL is able to calculate and display the prices to the foreign customer in their own currency. Depending on the options you choose, the currency will either be displayed only once the customer reaches the order form and selects their country from a pulldown menu, or in the store itself if you provide the option for the customer to select their country prior to entering the store.

Using The Currency Tab
The currency tab allows you to select a base currency for your store as well as selecting and setting hard-written exchange rates for any number of additional currencies.

Selecting a base currency for your store
The base currency is the currency in which your store operates. Although your international customers may have the option of paying for - and even shopping in, should you allow them that option - their own currency, the default currency for your store is your base currency.

EROL provides you with a 'Base Currency' pulldown menu featuring all the world's currencies. Once you have selected a base currency you will be required to input a symbol for that currency. For example, if you select US Dollars as your base currency, you will need to input the $ symbol in the 'Symbol' field. The symbol you insert here is the symbol that will be displayed on all your prices in the store.

Adding and setting additional currencies
If you plan to sell your products to customers from countries other than your own, you may wish to provide them with the facility to pay in their own currency based on a hard-written exchange rate relative to your base currency.

To add an additional currency or currencies select your currency of choice from the 'Additional Currencies' pulldown menu. You will also be required to enter a symbol (eg. $, £, FF, ¥ etc.) for the currency. In the rate field enter the exchange rate for that currency relative to your base currency.

Should you wish to offer accurate exchange rates you will need to alter these rates every day. It is recommended you use instead EROL's facility for real time exchange rates.

Using real time exchange rates
To be included

How customers select their currency of choice
Customers to your EROL store will have three methods for choosing the currency in which product prices are displayed:

  1. Selecting their country/currency before entering the store Method to come
  2. Selecting the country/currency at any time during the shopping process Method to come
  3. Selecting their country/currency at the order form If a customer has not been offered the opportunity to, or has failed to, choose their country/currency before ordering, the order form will automatically translate the currency displayed to that of their own country. This will require that an additional currency has been set for their country in the Currency tab, or that you are utilising EROL's real time exchange rate facility.

How EROL Order Form deals with currency
If a customer has not been offered the opportunity to, or has failed to, choose their country/currency before ordering, the order form will automatically translate the currency displayed to that of their own country. This will require that an additional currency has been set for their country in the Currency tab, or that you are utilising EROL's real time exchange rate facility.

When a customer first enters the order form, they will be prompted and required to select from a pulldown menu the country they are shopping from. This is a compulsory action as it will not only determine the currency for the invoice, but is required in order for the customer's address details to be completed.


Shipping Goods

Shipping (posting) the goods you are selling

Shipment and e-commerce
Being an online store with no physical presence means that you will naturally need to post to your customers any item they buy from the store.

EROL allows you to set up complex shipping and postage options on the Shipment tabs as part of the Order Form store settings.

How EROL deals with shipment
Shipment is calculated in EROL based upon the choice a customer makes when completing the order form. They will be required to select their desired method of shipment before EROL recalculates their order and includes the relevant shipping tariff.

The shipment options available to the customer in the order form will depend upon the country they have selected at the top of the order form.

Using The Shipment Tab
The Shipment tab The Shipment tab allows you to select the courier service you wish to utilise for delivering to any country in the world. Additionally, if you feel it may be more cost effective or practical to provide certain countries (your own country for example) with separate Couriers or postage systems.

Setting shipment costs according to the weight of the order
Once a class is selected, from the Method sub-tab select your calculation method to be 'By Item Weight'.

Delivery costs will the be calculated on the total order weight of your customers purchases (independent of the total number of items).

Most couriers calculate shipment costs this way.

Once you have selected to charge shipping by item weight, you will need to set up a price banding table tabulating the prices applicable to increasing weights. Setting up the price banding table is done on the Banding Table tab.

Under the 'Weight' column insert your weight bands, then apply the relevant price for that band in the 'Cost' column.

You can also specify additional unit costs per weight to apply to the total shipping charge if the total weight of the items ordered exceeds your highest price band. Eg. Your maximum price band is $25 for up to 50kg. Orders totalling over 50kg might be charged at an additional $3 per kg. To set this, insert '1' into the weight field and '3' into the cost field under 'Additional cost per Item'

Setting shipment costs according to the quantity ordered
Once a class is selected, from the Method sub-tab select your calculation method to be 'By Quantity Ordered'.

If your products are all of equal weight you can charge according to the number of items purchased.

EROL ignores any weight value specified in the Item Pricing tab and calculates delivery based on the total number of items in the customer's basket.

Once you have selected to charge by quantity ordered, you will need to set up a price banding table tabulating the prices applicable to increasing quantities. Setting up the price banding table is done on the Banding Table tab.

Under the 'Qty' column insert your quantity bands, then apply the relevant price for that band in the 'Cost' column.

You can also specify additional unit costs per item to apply to the total shipping charge if the total quantity of items ordered exceeds your highest price band. Eg. Your maximum price band is $15 for up to 10 items. Orders totalling over 10 items might be charged at an additional 75 cents per item. To set this, insert '1' into the 'Quantity' field and '0.75' into the 'Cost' field under 'Additional cost per Item Quantity'

Setting shipment costs according to total order value
Once a class is selected, from the Method sub-tab select your calculation method to be 'By Total Order Value'.

If a customer orders a lot of products or spends a lot at your store you may wish to reward the customer by not charging for orders over a certain amount.

EROL ignores any weight value specified in the Item Pricing tab and calculates delivery based on the value of the items in the customer's basket.

Once you have selected to charge by the total value of the order, you will need to set up a price banding table tabulating the shipping prices applicable to increasing order values. Setting up the price banding table is done on the Banding Table tab.

Under the 'Value' column insert your value bands, then apply the relevant shipping price for that band in the 'Cost' column.

You can also specify additional unit costs per value unit to apply to the total shipping charge if the total value of items ordered exceeds your highest price band. Eg. Your maximum price band is $10 shipment cost for up to $50 spent. Orders totalling over $50 might not be charged for shipping at all. To set this, insert '0.01' into the 'Value' field (ie. Every penny over $50 will cause shipping to be free) and '0' into the 'Cost' field under 'Additional cost per Item Quantity'

Setting shipment costs at a flat rate
Once a class is selected, from the Method sub-tab select your calculation method to be a flat rate by checking the 'Apply a Flat Rate' check box and inserting a flat rate for shipment.

In this case EROL ignores all weight, quantity and cost settings of your customer's basket and applies the flat rate charge for the class selected.

Each of your delivery classes can have a separate flat rate charge.

How customers select their choice of shipment
 Once a customer reaches the order form and is ready to pay for the goods they have bought, the first thing they will be required to do is select the country they are in.

Shipment is then calculated in EROL based upon this choice. Once EROL recognises the country the purchaser is in, the correct shipping methods you have applied for that country will become present in the shipment method pulldown menu adjacent to the Total of the customer's order.

The customer will then select their class option for delivery (if applicable) and EROL will recalculate the order accordingly.

Ensuring customers are where they say they are
To avoid customers being able to select a bogus country from the country pulldown menu in order to attain different shipping costs, EROL ensures that the product cannot be shipped to any country other than the one originally selected, by automatically inserting the selected country into the customer's delivery address.

Applying a shipment cost for an individual item only
Some stores may sell certain products that will require a flat shipping rate applying solely to that item. For example a gift store may sell cards and flowers, but they may also sell a range of bicycles.

EROL allows you to apply a separate flat shipping rate on an product by product basis.

In the Item Pricing tab forany product requiring a flat rate shipment charge, select the Shipment sub-tab and apply the flat rate charge for that item. You have the option of including that flat rate in addition to any standard shipping, or if the flat rate should apply for every additional one of those products added (ie. If the customer purchases two of the products then the flat rate applies twice.)


Shipping Courier Services

Choosing a default courier service
The default courier service will apply to all countries and destinations bar any exceptions you may apply for individual countries.

The default courier service will normally operate for all countries other than those your normally ship too.

EROL automatically has UK Royal Mail Service and Parcel Force as two default couriers, however it is easy to add and/or update any new couriers you may wish to utilise. Setting a new courier up, or editing your existing courier's rates etc. is all done on the Courier Setup tab.

Applying specific courier services to specific countries
Once a global default courier has been selected you will probably want to offer a wider range of shipment options for customers in your usual shipment area (such as your country or neighbouring countries).

Individual country couriers can be applied by using the 'Courier Service to individual Countries' table. Select a country from the pulldown menu in the 'Country' column, then select a courier from the list of couriers in the pulldown menu in the 'Courier' column. Finally select the courier's relevant zone for that country (if applicable) from the pulldown menu in the 'Zone' column.

EROL automatically has UK Royal Mail Service and Parcel Force as two default couriers, however it is easy to add and/or update any new couriers you may wish to utilise. Setting a new courier up, or editing your existing courier's rates etc. is all done on the Courier Setup tab.

Using The Courier Setup tab
EROL's two default couriers are UK Royal Mail Service and Parcel Force, however it is easy to add and/or update any new couriers you may wish to utilise. Setting up a new courier, editing your existing courier's rates etc. or making up your own custom method of shipment is all done on the Courier Setup tab.

Setting up courier options
The Courier Setup tab features a tree view representing all of the couriers/shipping methods already created. Each courier/shipping method can be expanded down to their individual delivery zones and then further down to the class for each zone.

To create your own new courier/shipment method, click on the 'Add Courier' button below the tree view. This will launch a small window requiring you to input a name for the courier/shipment method, the first zone and the first class for that zone.

What is a courier
A courier can be either a commercial or common carrier or postage service. UPS, Fedex, ParcelForce are some well known couriers.

You may however wish to add your own local courier service if that applies.

You may also wish not to use a courier service at all, but rather set up your own shipment methods. This, in the case of EROL, can also be considered to be a 'courier'.

Adding a courier
To create your own new courier/shipment method, click on the 'Add Courier' button below the tree view. This will launch a small window requiring you to input a name for the courier/shipment method, the first zone and the first class for that zone.

If the 'Add Courier' button is not active, make sure your cursor is placed in an appropriate point in the tree view itself.

There is no limit to the number of courier/shipment methods you can add.

Setting a custom shipment method (ie. not using a courier)
A courier/shipment method can also be applied if you are planning to ship your products using your own centralised method such as:

  • Not charging for shipment in your own country
  • Charging for shipment by quantity ordered
  • Charging for shipment by weight of order
  • Charging for shipment by total order value

Simply add a Courier into the tree view and label it accordingly.


Shipping Zones

Shipping Zones and Classes

What is a zone
A zone refers to a country, continent or area you wish to deliver to.

Most couriers will work with the world broken up into a set number of zones.If you are adding Courier details for a commercial courier you will need to make sure you recreate their zones exactly.

Adding a zone
The first zone you add will be the one that you are required to add in the window that is launched when you first add a courier.

Click on the Add Zone button below the Courier Setup tree view to add another zone below the previous. Every zone will require you to add at least one class as well.

If the Add Zone button is inactive, make sure you have selected a previous zone in the tree view first. Your new zone will be added below this.

What is a class
Each zone can have multiple classes of delivery. These could include First Class, Standard Delivery, 24-hour delivery, Airmail, 3-day Delivery etc.

Adding a class
The first class you add will be the one that you are required to add in the window that is launched when you first add a courier.

Click on the Add Class button below the Courier Setup tree view to add another class below the previous.

If the Add Class button is inactive, make sure you have selected a previous class in the tree view first. Your new class will be added below this.

As soon as a class is added, the sub-tabs to the right of the tree view become active. These allow you to add and/or edit the settings for that particular class.

Once a class is selected you will need to decide how the shipping costs for that class will be calculated. The can be calculated by one of the following four methods:

  • Calculation by Item Weight
  • Calculation by Item Quantity
  • Calculation by Total Order Value
  • Calculation by a flat rate shipment cost

If you select method 1, 2 or 3 you will be able to apply the relevant rates in the price banding table on the Banding Table sub-tab.

If you have selected method 4 - a flat rate shipment cost - the price banding table will become inactive as it is not needed for this method.


Tax Options

Setting up Tax Rates and choosing Tax Options for your store

Note about tax and e-commerce
Although tax and e-commerce is currently a grey area, it is nonetheless important to operate within the tax laws that would apply were you using any sales medium other than e-commerce. As such it is vitally important that customers pay, and you the vendor collect, all the relevant taxes due on any transaction conducted on your EROL store.

EROL's powerful tax options allow you to accommodate for any number of national and international tax peculiarities, such as 'Use Tax', VAT, discounted tax groups, tax free products and tax exemption.

You are required to insert the correct tax rate for Country and State/Province.

Applying a shipping tax to all products in your store
Shipment tax is the tax applied to the services of some courier or delivery services you may choose to utilise when shipping your products to your customers.

Shipment tax will always be either your local rate of tax or VAT, or it will be tax exempt (ie. 0%). Remember that customers in other countries (or states, if you are in the US) may not have to pay shipment tax at all. Some states in the US may require the customer to pay their own state's rate of shipment tax. FIND OUT MORE ABOUT THIS

How EROL calculates shipping tax
XXXX

Using The Tax Groups tab
In many countries, various products, or groups of products may be taxed at different rates from your local sales tax rate. These may include books, electronics, pharmaceuticals etc.

The Tax Group tab provides you with a matrix to set the tax rates for any group of products that may differ from standard sales tax rates.

Zero Rated products
Any product can be zero rated. This means that tax will not be applied to that product at all. Zero rated products may include baby food, hospital supplies or perhaps educational materials. Zero rating a product is applied on a product by product basis. On the Item Pricing tab for any product, there are four sub-tabs. On the General sub-tab select 'Zero Rated' from the 'Tax group' pulldown menu. This will automatically exempt that particular item from any sales tax.


Local tax

Setting Local Tax Rates

Using The Local Taxes Tab
The Local Taxes tab The Local Taxes tab allows you to set the sales tax rate (in %) relevant to where your store is hosted or located.

Most countries will only ever have one rate of sales tax, however if you are in the United States you will be required to insert the tax rates for your state, your county and your city. If you are in Canada you will be required to add a tax rate for your Province or Territory.

The pulldown menus for State/Province, County and City only become accessible once you have selected your country from the 'Country' pulldown menu and further taxes apply to political portions of that country.

The 'State/Province' pulldown menu will automatically include your country's relevant states or provinces and then, if applicable, your state's counties.

The Local Taxes tab also allows you to set in your local area's rate of Shipping Tax, if any.

Applying a local tax to your store
If your store is operating outside of the US or Canada, select your country from the 'Country' pulldown menu on the Local Taxes tab and insert your local sales tax rate (this is your country's sales tax rate).

Applying a local tax to your store if you are in the US
If you are in the United States you will be required to insert the sales tax rates for your state (or your county if applicable) and your city. The pulldown menus for State/Province, County and City only become accessible once you have selected United States from the 'Country' pulldown menu. The 'State/Province' pulldown menu will automatically include your country's relevant states or province. Once a State has been chosen, the counties in your state will become accessible in the 'Counties' pulldown menu. You are required to insert the correct sales tax rate for each breakdown. If you only pay county tax and have no applicable state tax then set your state tax to 0%.

Applying a local tax to your store if you are in Canada
If you are in Canada you will be required to insert the tax rates for your Country as well as for your Province or Territory.

The pulldown menu for State/Province will only become accessible once you have selected Canada from the 'Country' pulldown menu.

The 'State/Province' pulldown menu will automatically include Canada's Provinces and Territories.

Including local tax in the price of products on display
By default EROL will not display the local tax rate on any of your products in the store. Instead the tax will be added at the order form once the customer has selected has selected their own country.

You can however include your local tax rate in all the prices should you wish. FIND OUT MORE ABOUT THIS

Showing prices with tax and without tax on each item
To show both tax inclusive and tax exclusive prices for each item, make sure that your retail price is your tax inclusive price and your alt price is your tax exclusive price (or vice versa), then select, either globally on the FIND OUT MORE ABOUT THIS tab. On an item by item basis, choosing to display tax on the retail price and exclude it on the alt price is done using the check boxes available on the General sub-tab on the Item Pricing tab for any product on the store.

How EROL calculates local taxes
EROL calculates local tax based on the location of the customer in relation to the local tax rate you have applied. If the customer is located outside of your local tax region, EROL will automatically exempt them from tax.

How EROL calculates United States local taxes
EROL calculates US local tax based on the state and/or county and/or city of the customer in relation to the local tax rate you have applied for those areas.If the customer is located outside of your local tax region, EROL will automatically exempt them from tax.

However if the customer is buying from out of state, EROL allows the customer to pay the sales tax of your local area to offset against any Use Tax they may need to declare.


Global Taxes

Setting Global Tax Rates

Using The Global Taxes tab
In almost all cases, if a customer is located in another country they will not be required to pay any sales tax.

The exception to this is in Europe where customers outside of your country will still be required to pay your local tax rate.

The Global Taxes tab allows you to set a global tax rate (ie. Usually 0%), but also provides the facility to set a tax rate for customers from the exceptional countries that may have to pay your local taxes.

Setting a tax rate for all countries other than your own
In almost all cases, if a customer is located in another country they will not be required to pay any tax. As such EROL sets as default the rate of tax for all other countries at 0%.

This is controlled from the 'Apply a Default Tax Rate for the World' field.

Should your circumstances require it, this can be set at any percentage rate.

If there are any exceptions (ie. European countries do not exempt other European nationals from paying that country's sales tax) you can set these in exceptional tax rate table.

Setting a tax rate for individual countries other than your own
You may be required to apply different tax rates for countries other than your own. This occurs in European countries, for example, where all European nationals have to pay the sales tax for any other European country they are purchasing from.

EROL allows you to select which countries will be required to pay your local tax rates.

From the 'Country' pulldown menu, select the exceptional country, then below 'Rate %' set the rate that customers from that country will be required to pay. This should normally be the same rate as your local sales tax.

Repeat this for all other countries that may be required to pay sales tax.

How EROL calculates global taxes
EROL calculates global taxes based on the location of the customer in relation to the tax rate you have applied for their particular country. If the customer is located in a country not included on the exceptions list, they will simply have to pay the default tax rate you have set for the world. If their country is one of the exceptions, they will pay tax at the rate set for that particular country on the Global Taxes tab.


Tax Groups

Setting up Tax Groups

Creating different tax groups
The tax group matrix on the Tax Groups tab allows you to set an infinite number of different tax groups with their relevant tax rates.

In the 'Tax Group' column of the matrix enter the name of the tax group (eg. Books, Electronics, Pharmaceuticals etc) and enter it's tax rate under 'Country %'.

Creating different tax groups if you are in the United States
If you are in the United States you also have the option of setting alternate tax rates for each tax group (if applicable) according to the State, County and/or City taxes relevant to you.

The 'State%' 'County%' and 'City%' columns in the matrix only become accessible if you have selected United States from the pulldown menu on the Local Taxes tab.

Creating different tax groups if you are in Canada
If you are in Canada you also have the option of setting alternate tax rates for each tax group (if applicable) according to the State/Province taxes relevant to you. The 'State%' column in the matrix only becomes accessible if you have selected Canada from the pulldown menu on the Local Taxes tab.

Applying a tax group to an individual product
Once tax groups have been created in the Tax Groups tab, they may be applied on a product by product basis within your store.

On the Item Pricing tab for any product, there are four sub-tabs. On the General sub-tab you can select the Tax Group for that particular product from the 'Tax group' pulldown menu.All the tax groups you have created in the tax group matrix on the Tax Group page will be listed in this 'Tax Group' pulldown menu.


Pages within EROL

Pages and your EROL store

An EROL store is simply a website and so, like any website, an EROL store is made up entirely of HTML pages. Each page will be filled with items, whether they be Product Items, Display Items or Link Items.

The store pages you create in EROL will typically appear in the Main Frame of your store, except in three instances:

  1. When you create a page to be a Menu page in which case the page will appear in the Menu Frame alongside any page it is physically assigned to.
  2. When you create a page to be your Toolbar page in which case it will appear in the Toolbar Frame once assigned there.
  3. When you create a Terms and Conditions page which is accessed by the user from a default button on the Order Form and is assigned to your store on the Order Notes and Terms tab under Order Form settings.

The difference between a Page and an Item

Your entire EROL store is made up of pages, while all visible elements on that page (barring background image and colour) will be the items you add to that page.

To make changes to the page as a whole such as changing the background colour or the Loading Message for that page, access the Page Settings tab by selecting the relevant page in the Tree View.

To make changes to any item (whether it be a Product Item, a Link Item or a Display Item), access the Item Settings tab by selecting the relevant item in the List View.

Adding a page to your store

To add a page to your store click on the 'Add Page' button below the Tree View. This will add a page into the Page Tree View immediately below the last page selected there.

As you add a page, the relevant Page tabs will become active. These tabs will allow you to name the page, set a page background colour or image (as well as a background colour or image for the Expanded View of any product on that page).

Creating a tree-structure with pages

When you add a page to your EROL store, your new page will be tagged onto the string of pages in the Tree View.

A page can be inserted at any point in the structure as pages get added immediately below the last page selected in the structure.

The Page tree structure can contain multiple infinite sub-levels. This means that the creation of departments, sub departments, aisles, sections, subsections etc. is possible.

The EROL Home Page

Every web site needs a home page. This is the first page in your store and should provide a launch-pad to every main section (or even every section) of your store.

An EROL store has a Home Page by default and is represented in the Tree View by a red page icon.

You cannot delete the EROL Home Page.


Untitled

Menu & Store Pages

Menu pages

In EROL, a Menu page is the page (or pages) that sit in the Menu Frame throughout the store. Although the Menu Frame may only extend across a percentage of your screen, the page that goes inside it is still just an ordinary page.

As such creating a menu page is the same as creating any normal page. To discover how to create a menu, see: Building a menu page and assigning it to other pages

Once you have assigned a menu to a particular page, the icon for that menu will change in the tree view from a standard Page icon to a Menu icon, making it easier to distinguish store pages from your menu pages.

Controlling the look of all pages in your store

You can set a global font style which will apply to all the pages in your store by selecting the font size, face and colour from the relevant pulldown menus on the Main tab under Frame Layout.

You can also set the colours for all the hyperlinks on every page in the store. On the Main tab under Frame Settings, you can set the colour of the Link and the ALink (Active Link).

The Active Link refers to the state of the link whilst it is being clicked.

You cannot set the colour for a VLink (Visited Link) as EROL's store pages are created dynamically.

These font and link settings can however be overwritten by any individual item on a page, as Items are capable of having their own font and link settings.

Setting the width of your store pages

The width of any page appearing in your store can be set both on a page by page basis for each individual page, or globally for all pages in the store.

To set a fixed page width that will apply globally (ie. to all pages in the store), you will need to set the width of the Main Frame. This is done on the Main tab under Frame Layout. The width you set here will be applied to every page that is subsequently added to the store (except any Menu page, whose width will be determined by the width of the Menu Frame once assigned there)

To set a fixed page width for an individual page, you will need to add some HTML to the header and footer fields of the Header | Footer tab.

In the Header field, insert the following:
‹ table width=600 ›
‹ tr ›
‹ td ›

And in the Footer field insert the following:
‹ /td ›
‹ /tr ›
‹ /table ›

This will set your page to a width of 600 pixels wide. You can replace '600' with any figure you like.

This page width will override any global page width setting.

Setting the width of a menu page

When a page has been assigned as a Menu Page to another page, the width of that Menu page is determined by the width of the Menu Frame set on the Menu tab under Frame Layout.

However, the page width of the Menu page can be set individually by adding the HTML mentioned in Setting the width of your store pages to the header and footer fields of the Header | Footer tab.

This page width will override any global page width setting.


The Page Tabs

Using the Page tabs

The Page Settings tab

The Page Settings tab allows you to name the page, assign a menu to the page as well as control the basic elements that affect your page. Bear in mind that visually, your page displays little more than its background colour or image, as it is the items you place on the page that create the visual appearance of a store page.

Naming the page

To name the page selected in the Tree View, insert a name in the Page Name field.

The name you insert here will also be displayed in the Tree View.

Setting the background for the Page

An EROL page can have either a background colour, or a background image assigned to it.

To display a background image on your page browse for it by clicking the Browse button next to the 'Page Background Image' field.

To display a particular colour for the background of your page, select a hue from the colour pulldown menu or colour picker.

You create a background for your page using your favourite graphics package.

Setting the background for the Expanded View

The Expanded View is what appears on the page when a shopper clicks on a product in your store which has a Expanded View associated with it.

The Expanded View, normally featuring a larger, more detailed image of the product, an expanded description and perhaps the product selectors (Quantity, Size, Add to Basket etc) is created on the Item Details tab for any Product Item.

To display a background image different from the Page background image for your Expanded View, browse for it by clicking the Browse button next to the 'Page Background Image' field.

To display a particular colour for the Expanded View, select a hue from the colour pulldown menu or colour picker.

If you set no background colour or image for the Expanded View it will default to the Page background and colour.


The Page Overlay tab

The Page Overlay tab is probably one of the most important elements for easy store creation. It allows you to select the styles of a previous page and apply them, in varying, levels to your current page.

Page Overlay allows you to create an exact copy of all settings of a previous page (a Source page), or alternatively an incremental selective copy where page settings, item settings, item template and/or the entire contents of all items can be applied to your current page (or Target page).

Note that this is NOT a method of creating a copy of another page, it is only creating a copy of the settings. Therefore if there are no items on your current page and you apply all the settings of another page, only the Page settings will apply to your new page. All the item settings will naturally be ignored as there are no items to apply them to.

Copying all settings from one page to another

To copy all of the settings from the Target page to the Source page simply select the Source page from the 'Page Overlay Source' pulldown menu (this will be populated with all the pages in your store) and choose 'Apply all Settings'.

If you have fewer items on your Target page than there are on your Source page, the settings from the Source page will apply up to the end of the items on the Target page.

If you have more items on your Target page than there are on your Source page, you have the option of either ending the settings applying to the items, or start re-applying the settings to the extra items. This is done by choosing either 'Repeating Overlay' for the latter, or ''Non-repeating Overlay' for the former.

If there are no items on the Target page only the Page Settings from the Source page will be applied to the Target page. All other settings will be ignored.

Copying selective settings from one page to another

It is possible to apply only selective settings from the Source Page to the Target page by choosing 'Apply Individual Settings' and checking the particular settings you may wish to apply to your Target page.

You can select to choose one or more of the following settings:
Page Settings, Item Settings, Item Template and Item Content.

Page Settings

Page Settings refer to all the selected settings and options on the Page Settings tab and Header | Footer tab of the Source page. These include:

  • Background image / colours for the Page and the Expanded View
  • The Menu applied to that page
  • Any Header | Footer scripts and coding

    Item Settings tab

    Item Settings refer to all the selected options on the Item Settings tab. These include:

  • Where that item sits on a page in relation to all the other items
  • Whether the item is part of a dropdown menu
  • Whether the item is hidden on the page or not

    Item Templates

    Item Templates refers to the template applied to each item on the page. This includes the item type (ie. Whether it is a Product Item, Display Item or Link Item).

    Applying Item Templates means that all the items on the Target page will be transformed into the Item type of their counterpart on the Source page as well as acquiring the templates applied to those particular items.

    Item Contents

    The Item Content that is copied from the Source page to the Target page includes:

  • The Item Name
  • The Short Description
  • The Normal View Image and its attributes
  • The link properties (if applicable)

    Item content does not include product details such as pricing and VAT/Tax settings.

    Applying 'Repeating Overlay'

    'Repeating Overlay' is an option you can select if:

    1. There are more items on your Target page than there are on your Source page, and
    2. You want the settings of the Source page to apply to those extra pages.

    EROL will continue to apply and reapply the settings until all items on the Target page have been affected by those settings.

    Applying 'Non-repeating Overlay'

    'Non-repeating Overlay' is an option you can select if:

    3. There are more items on your Target page than there are on your Source page, and
    4. You do NOT want the settings of the Source page to apply to those extra pages.

    EROL will apply the settings of the Source page to the Items on the target page and the cease at the point where the Items on the target page exceed those on the Source page.

    Reapplying Overlay to the page

    When an overlay is applied to a Target page it is applied once only.

    Any of the settings applied to the Target page can be changed, altered or added to. And any new items added to the page will not contain any of the settings from the source page.

    Should you wish, however to add the settings from the Source page to any new items you may have added to your Target page after having applied the settings of the Source page, you can reapply the Source page settings by simply reselecting it from the 'Page Overlay Source' pulldown menu and clicking 'Apply Overlay'.

    Choose 'Repeating Overlay' if, subsequent to your changes, there are more items on your Target page than on your Source page and you wish the Source page settings to be applied to the new items.

            •


Editing EROL Pages

Creating sub-pages

The Tree View can contain multiple infinite sub-levels. Making simple the creation of departments, sub departments, aisles, sections, subsections etc.

A sub-level page (or Child Page) can be added to the tree structure by clicking on the 'Add Child Page' button. This will insert a new page underneath and to the right of the previously selected page (which now becomes a Parent Page).

This new page will become a child of the previous page and although there is no physical link between the two, the Tree View regards the new child page as living under its parent page. As such the Parent Page can expand and contract to reveal or hide its Child Pages.

A Child Page is identical to a normal page. The only difference is that it will be displayed in the Tree View as being a Child of the previous page. Making a page a Child Page does not link it to the Parent Page in any physical manner. This is purely a visual representation to facilitate easier identification of levels and sub-levels.

It is possible to continue to add Child Pages to existing Child Pages.

Child Pages can also be created, or undone, by using the Move Arrows

Moving pages left and right

The left and right Move Arrows below the Tree View allow for the easy creation and undoing of Child Pages.

Once a page is selected in the Tree View, clicking the right Move Arrow will move the page rightwards across the Tree Structure turning it into a Child Page of the page above it.

Clicking the left Move Arrow will move the page leftwards across the Tree Structure. Every click will move the page one level to the left until that page becomes a normal top-level page.

Moving pages up and down

The up and down Move Arrows below the Tree View allow for pages to be reshuffled in the Tree View.

Select the page you wish to move vertically, then click the up Move Arrow or the down Move Arrow. This will move you page up or down.

Deleting a page

To delete a page, select it in the Tree View, then click on the Delete button below the Tree View.

You will always be prompted as to whether you want to continue with the delete before the page is actually removed from the tree structure.

Deleting a page will delete all the Items on that page too.

You cannot delete a page that has Child Pages associated with it. You will first be required to delete the Child Pages, or move them away using the Move Arrows, before the Parent Page can be deleted.

Once a page has been deleted it cannot be recalled again


Advanced Functionality

Advanced Page Functionality

The Header | Footer tab

The Header | Footer tab provides an area for two advanced functions:

  1. You can insert any JavaScript or VBScript that may be included within the tags of a normal web page into the relevant EROL page.
  2. You can add your own header and footer HTML between which the EROL page will be nested.

Adding JavaScript and VBScript to your page

You can add any of your own JavaScripts or Visual Basic scripts into your EROL page. These codes can be pasted, or programmed directly, into the Script field.

To insert your own JavaScript or VBScript, first strip the ‹ SCRIPT › tags from the code, then paste them into the Script field. Once pasted select whether your script is a JavaScript or a VBScript.

Do NOT include the ‹ SCRIPT › tags in your code.

Your scripts may also be pasted into the Header field or the Footer field as well. In this case do not strip the ‹ SCRIPT › tags.

Remember EROL does not support double quotes ( '' ) and will strip and replace all double quotes with a single quote ( ' ). If you are experiencing problems with your JavaScript or VBScript make sure the stripping of the quotes has not affected the functionality of the script.

Adding CSS to your page

You can add Cascading Style Sheet elements to your page by inserting them into the Header field. CSS scripts will not work if they are added to the Script field.

Adding HTML in the Header and Footer fields

The Header and Footer fields provide a facility for more experienced designers and programmers to gain extra layout and design flexibility over an EROL page by nesting that page within their own HTML.

This essentially allows you to add as much free form HTML above the EROL page as well as below. Additionally you can nest the EROL page in a table allowing you to set a fixed width for the page in question (it will override the page width set by the Main Frame providing it is narrower than the Main Frame width.


What is PGP ?

PGP, Pretty Good Privacy

What is PGP ?

PGP, or Pretty Good Privacy, is a standard for encrypting plain text and files into undecipherable messages that only the recipient can decrypt and read. Whilst EROL's secure server uses 40-bit / 128-bit SSL encryption, data transmitted within SSL is only secure during transit, not when static. EROL's SSL (Secure Socket Layer) secure server uses PGP to encrypt orders between customer and vendor. This means that any correspondence between a customer and vendor remains secure until the vendor runs the decryption process. To run the decryption process, the vendor must have PGP software installed on his/her PC and have a PGP Key Pair. The following section describes how to install PGP Software and generate your PGP Key Pair and upload it to EROL's server.

What is a PGP Key Pair ?

A Key Pair for PGP contains two unique keys - a Private Key and a Public Key. The Public Key is used by others to encrypt messages and send them to you via e-mail. The Private Key is used by the owner of the Key Pair to decrypt such messages received. It is the Public Key that should be uploaded to the EROL secure server - this then allows EROL's payment system to encrypt a vendor's orders.

For more information about PGP, please visit http://www.pgpi.com


PGP 5.5 Installation

When installing the PGP 5.5 software, you will be taken through a series of screens that install the software and generates your PGP Key Pair. Your PGP Key must be generated as RSA 1024-bit to work on erol.co.uk

Installation Method:

After accepting the licence agreement, you will be asked for your Name and Company Name, followed by a prompt for the destination location of the software installation. The next screen displays which components will be installed - the program files and the mail reader plug-ins. The two plug-ins available are for Eudora and Microsoft Exchange/Outlook and you may deselect the one(s) which do not apply to you. Do not worry if your mail reader is not one of those programs shown - you will still be able to receive orders from your EROL store.

After confirming all above details, the PGP software will install and than ask if you have any existing keyrings you want to use. Unless you have an earlier version of PGP with keyring file(s), select No. When the software has completed the installation, a Key Generation Wizard screen will appear. Now you can create your PGP Key Pair.

The first screen asks for your Name and E-mail Address - it is important that you type your full details in correctly as they will be used as part of your PGP Key ID. The following screen asks what type of Key Pair you would like to generate. Select RSA - this is important as EROL's server only supports this type of Key. The following screen asks what size Key Pair you would like to create. Select 1024 - note that larger keys than 1024 will not be supported by EROL's server

The next screen asks when you would like your Key Pair to expire. The default setting is Never, which means this Key Pair will always be available for use. You will then be asked to type in a pass-phrase and confirm it. As you type in your pass-phrase you will notice a status bar increase, indicating the security quality of your phrase. Ensure you make a note of your pass-phrase as you will need it later.

The next screen prompts you to provide random data such as mouse movement or typing and provides a status bar that increases to 100%. When the bar is at 100%, you will be able to move on the next screen where the software generates your keypair, and then asks if you would like to send your key to the default server. Leave this message box unchecked (ie. do not send your key to the default server) and move on to the next screen.

You have now completed the installation and Key Pair generation. Click Finish to launch the PGP Keys program.


PGP 5.5 Installation

Uploading your PGP Key to the EROL server

Open the PGP Keys program and you will see the Key Pair you generated next to an icon of a pair of blue keys. The RSA Key Pair will be showing in Bold ie. EROL Support <support@erol.co.uk> and you will see a User ID and Exportable signature below.

To upload your PGP Key to the EROL Server, leave the PGP Keys program open and go to http://www.erol.co.uk/pgp/keyupload.html where you will see a large input field on the page. This field will accept your Key Pair code. Leaving the browser open, return to PGP Keys and right-click on the Key Pair (in bold) and select Copy from the menu. Return to the EROL website Key Upload page, right-click in the input field and select Paste from the menu. You will see a block of characters something like the following:

-----BEGIN PGP PUBLIC KEY BLOCK-----
mQCNAzjI7DsAAAEEALYmTELmHxJLT3 iL4SajtwKoZaCGAC0uIg13zY+r6a5f CLGJPXhQCihhLQ45MKEosHVHWSAoov qVTWOjhSo9sY1NmqMD0WRwzwJoOAnN X+B6fchm2++gQqAobfPa03BFnNOTdt AAKu/BZdufgU0MknvfqK3/V79qOkwn YTGf00jAAURtCdEcmVhbXRlYW0gRGV zaWduIDxpbmZvQGRyZWFtdGVhbS5jby 51az6JAJUDBRA4yOw76TCdhMZ/TSMBA aNmA/4x7j2ZcT/PGd47C2tXJzXF3SIt AAVHfwMP3lmQCZbr
-----END PGP PUBLIC KEY BLOCK-----

Click the Submit Key button and wait a few moments for the EROL server to add your key to the server keyring. You will then see a confirmation page telling you that your key upload was successful.

For more information about PGP, please visit http://www.pgpi.com


PGP Key Upload Errors

PGP Key upload Failure

If, for some reason, your key does not get uploaded successfully, you will receive a error message in your browser and you will be asked to check the following settings for your Public Key:

  • Is your Key Pair RSA compatible?
  • Is your Key Pair 1024-bit, or less?
  • Do you have PGP v5.5.3 or earlier installed?
  • Is your Key Pair named like this?: My Name
  • Is your Key already on the server?

    If you are sure that all the above details are correct, please e-mail support@erol.co.uk for further assistance.

            •


The Page Overlay tab

The Page Overlay tab is probably one of the most important elements for easy store creation. It allows you to select the styles of a previous page and apply them, in varying, levels to your current page.

Page Overlay allows you to create an exact copy of all settings of a previous page (a Source page), or alternatively an incremental selective copy where page settings, item settings, item template and/or the entire contents of all items can be applied to your current page (or Target page).

Note that this is NOT a method of creating a copy of another page, it is only creating a copy of the settings. Therefore if there are no items on your current page and you apply all the settings of another page, only the Page settings will apply to your new page. All the item settings will naturally be ignored as there are no items to apply them to.

Copying all settings from one page to another

To copy all of the settings from the Target page to the Source page simply select the Source page from the 'Page Overlay Source' pulldown menu (this will be populated with all the pages in your store) and choose 'Apply all Settings'.

If you have fewer items on your Target page than there are on your Source page, the settings from the Source page will apply up to the end of the items on the Target page.

If you have more items on your Target page than there are on your Source page, you have the option of either ending the settings applying to the items, or start re-applying the settings to the extra items. This is done by choosing either 'Repeating Overlay' for the latter, or ''Non-repeating Overlay' for the former.

If there are no items on the Target page only the Page Settings from the Source page will be applied to the Target page. All other settings will be ignored.

Copying selective settings from one page to another

It is possible to apply only selective settings from the Source Page to the Target page by choosing 'Apply Individual Settings' and checking the particular settings you may wish to apply to your Target page.

You can select to choose one or more of the following settings:
Page Settings, Item Settings, Item Template and Item Content.

Page Settings

Page Settings refer to all the selected settings and options on the Page Settings tab and Header | Footer tab of the Source page. These include:

  • Background image / colours for the Page and the Expanded View
  • The Menu applied to that page
  • Any Header | Footer scripts and coding

    Item Settings tab

    Item Settings refer to all the selected options on the Item Settings tab. These include:

  • Where that item sits on a page in relation to all the other items
  • Whether the item is part of a dropdown menu
  • Whether the item is hidden on the page or not

    Item Templates

    Item Templates refers to the template applied to each item on the page. This includes the item type (ie. Whether it is a Product Item, Display Item or Link Item).

    Applying Item Templates means that all the items on the Target page will be transformed into the Item type of their counterpart on the Source page as well as acquiring the templates applied to those particular items.

    Item Content

    The Item Content that is copied from the Source page to the Target page includes:

  • The Item Name
  • The Short Description
  • The Normal View Image and its attributes
  • The link properties (if applicable)

    Item content does not include product details such as pricing and VAT/Tax settings.

    Applying 'Repeating Overlay'

    'Repeating Overlay' is an option you can select if:

    1. There are more items on your Target page than there are on your Source page, and
    2. You want the settings of the Source page to apply to those extra pages.

    EROL will continue to apply and reapply the settings until all items on the Target page have been affected by those settings.

    Applying 'Non-repeating Overlay'

    'Non-repeating Overlay' is an option you can select if:

    3. There are more items on your Target page than there are on your Source page, and
    4. You do NOT want the settings of the Source page to apply to those extra pages.

    EROL will apply the settings of the Source page to the Items on the target page and the cease at the point where the Items on the target page exceed those on the Source page.

    Reapplying Overlay to the page

    When an overlay is applied to a Target page it is applied once only.

    Any of the settings applied to the Target page can be changed, altered or added to. And any new items added to the page will not contain any of the settings from the source page.

    Should you wish, however to add the settings from the Source page to any new items you may have added to your Target page after having applied the settings of the Source page, you can reapply the Source page settings by simply reselecting it from the 'Page Overlay Source' pulldown menu and clicking 'Apply Overlay'.

    Choose 'Repeating Overlay' if, subsequent to your changes, there are more items on your Target page than on your Source page and you wish the Source page settings to be applied to the new items.

            •